Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class UnitVisibleMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.UnitVisibleMessage

public class UnitVisibleMessage
extends Message

This message is put in the send queue on the server part of the communication, when the server calls unitVisible

Author:
  Niklas Hallenfur, Karl Hasselström

Field Summary
`Set` | `blockedActions` Description of the Field
`int` | `handle` Description of the Field
`String` | `name` Description of the Field
`Map` | `properties` Description of the Field
`String` | `type` Description of the Field
`Set` | `unblockedActions` Description of the Field
`double` | `x` Description of the Field
`double` | `y` Description of the Field

Constructor Summary
`UnitVisibleMessage(int handle, String name, String type, double x, double y, Set unblockedActions, Set blockedActions, Map properties)` Constructor for the UnitVisibleMessage object

Method Summary
`static Message` | `read(DataInput in)` This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.
`void` | `write(DataOutput out)` This method writes the message to the given `DataOutput`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    public int handle

  Description of the Field

### name

    public String name

  Description of the Field

### type

    public String type

  Description of the Field

### x

    public double x

  Description of the Field

### y

    public double y

  Description of the Field

### unblockedActions

    public Set unblockedActions

  Description of the Field

### blockedActions

    public Set blockedActions

  Description of the Field

### properties

    public Map properties

  Description of the Field

Constructor Detail

### UnitVisibleMessage

    public UnitVisibleMessage(int handle,
                              String name,
                              String type,
                              double x,
                              double y,
                              Set unblockedActions,
                              Set blockedActions,
                              Map properties)

  Constructor for the UnitVisibleMessage object

Parameters:
  `handle` - Description of Parameter
  `name` - Description of Parameter
  `type` - Description of Parameter
  `x` - Description of Parameter
  `y` - Description of Parameter
  `unblockedActions` - Set of unblocked actionDefinitions
  `blockedActions` - Set of blocked actionDefinitions
  `properties` - Description of Parameter

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  This method writes the message to the given `DataOutput`.

  Specified by:
    `write` in class `Message`
  Parameters:
    `out` - The output stream.
  Throws:
    `IOException` - In case something goes wrong.

### read

    public static Message read(DataInput in)
                        throws IOException

  This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.

  Parameters:
    `in` - The input stream.
  Returns:
    An instance of `Message`.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD